search cancel

Installation Guidelines for Repairing Symantec Endpoint Encryption (installing the same version and build over the top of an existing SEE Client)

book

Article ID: 151446

calendar_today

Updated On:

Products

Endpoint Encryption Desktop Email Encryption Drive Encryption Encryption Management Server File Share Encryption Gateway Email Encryption PGP Command Line PGP Key Management Server PGP Key Mgmt Client Access and CLI API PGP SDK

Issue/Introduction

This article goes over some general information on how to upgrade SEE Clients. 

All current versions of SEE Clients now have a single installer and it is no longer necessary to upgrade components separately. 

Resolution

 

When attempting to install the same version and build of the SEE Client over the top of an existing client, the proper operation is to run the "repair" outlined in Scenario 5.  In order to do a repair, an option will be used during the installation via command line called "reinstallmode".

It is important to understand that this reinstallmode option is a special option when doing repairs.  It should never be used for new installations or upgrades as this can cause critical failures in machines.

Using the reinstallmode option does a customized installer that should be used only for a repair when doing the same version and build. 

 

 

Scenario 1 - Net-New Installation - Installing SEE 11.4 Build 3000 for the first time:

If you are installing SEE 11.4 Build 3000 for the first time, meaning SEE has not been installed yet, then you will *not* use the reinstallmode, because you are installing a net-new SEE Client on the machine.

 

Scenario 2 - Upgrade - Same Version, but different build number (11.3.1 Build 1000 11.3.1 Build 1001):

If you are installing SEE 11.3.1 Build 1000, and you want to install SEE 11.3.1 Build 1001, you will *not* use the reinstallmode, because you are installing a new build number.  The version is the same, but the build number being different will allow you to do a regular installation, such as the following:

msiexec /i SEEClientInstall.msi /l*vx c:\SEEClientInstall.log

 

Scenario 3 - Upgrade - Different Versions and build numbers (11.3.1 Build 1000 to 11.3.1 MP1 Build 2000)

If you are installing SEE 11.3.1 Build 1000 and you want to install SEE 11.3.1 MP1 Build 2000, you will *not* use the reinstallmode, because you are installing a new build number.  The version is the same, but the build number being the same will allow you to do a regular installation, such as the following:

msiexec /i SEEClientInstall.msi /l*vx c:\SEEClientInstall.log

 

 

Scenario 4 - Upgrade - Different Versions and build numbers (11.3.1 Build 1000 to 11.4 Build 3000)

If you are installing SEE 11.3.1 Build 1000 and you want to upgrade to SEE 11.4 Build 3000, you will *not* use the reinstallmode, because you are installing a new build number.  The version is the same, but the build number being the same will allow you to do a regular installation, such as the following:

msiexec /i SEEClientInstall.msi /l*vx c:\SEEClientInstall.log

 

 

Scenario 5 - Installing the same Version and Build over the top of the same version and build

If you want to install SEE 11.4 Build 3000 over the top of SEE 11.4 Build 3000, then you will need to use the reinstallmode option.  This is because you have the same version and build and this will perform a "partial" install to perform a repair.  This is a valid case to use "reinstallmode=vemus addlocal=all".  The following command will be used in this scenario:

msiexec /i SEEClientInstall.msi reinstallmode=vemus addlocal=all /l*vx c:\SEEClientInstall.log
 



If you attempt to install the SEE Client and receive the following error message, this means you can use the "reinstallmode=vemus addlocal=all" option to do a "Repair":

"Error: Incorrect parameters are passed to modify product, please pass REINSTALLMODE=vemus and ADDLOCAL=ALL to modify the product"

This error appears if you are trying to install the SEE Client on a machine that has the same version and build.  For example, 11.3.1 Build 1000 is installed and you are trying to install 11.3.1 Build 1000 again.

 

Important Caution

As shown in all the examples above, do not use the reinstallmode option for upgrades or net-new installs of the SEE Client.  This will corrupt the install and the only way to fix this is to perform an upgrade to a newer version.  Uninstallation may not even be possible and another repair will not be possible.  This reinstallmode command above is to do a "Repair" only of the same build and version of the SEE Client.  It should **not** be used for any other installations of the product or upgrades.

Reach out to Symantec Encryption Support for further guidance and reference this article.

For more information on upgrading, see the Upgrade Guide on the Documentation portal.

Additional Information

EPG-27735/ISFR-2302

178470 - Upgrade Symantec Endpoint Encryption 11.0.x Clients to a later 11.0.x version

Attachments